// MyVokEntry.h: Schnittstelle fr die Klasse MyVokEntry.
//
//////////////////////////////////////////////////////////////////////

#ifndef MYVOKENTRY_H
#define MYVOKENTRY_H 1

#include "qincludes.h"
#include <iostream.h>

class MyVokEntry  
{
private:
	// die unuebersetzte Vokabel
	QString original;
	// die uebersetzte Vokabel
	QString translated;
	// Lernstatus
	int lstatus;
	// Alle erfolgreichen Lernversuche bei der Vokabel
	int known;
	// Alle nicht erfolgreichen Lernversuche bei der Vokabel
	int notknown;
public:
	MyVokEntry(QString original_,QString translated_,int lstatus=0);
	MyVokEntry(QString data);
	virtual ~MyVokEntry();
	QString getOriginal();
	QString getTranslated();
	unsigned int getStatus();
	unsigned int getKnown();
	unsigned int getNotKnown();
	QString write();
	void setStatus(int correct);
	enum { statusKnown = -1, statusNotKnown = -2 };
};

#endif
