#include "qincludes.h"
#include "MyMainWindow.h"
#include "MyVokData.h"
#include "icon1.xpm"

#include <stdlib.h>

// der gesamte nicht plattformunabhaengiger Kram ist in dieser Datei

#if (defined WIN32 || defined _WIN32 )
#include <direct.h>
#define RAND rand
#define INITRAND srand
#else
#include <unistd.h>
#define RAND random
#define INITRAND srandom
#endif


int main( int argc, char** argv )
{
	// main(), 'nuff said!

	QApplication *app = new QApplication( argc, argv );

	MyMainWindow *window = new MyMainWindow( 0, PROGRAM_NAME );

	window->setIcon( QPixmap(icon1) );
	window->setIconText( PROGRAM_NAME );
	window->setCaption( PROGRAM_NAME );

	if(argc > 1)
	{
		INITRAND(strlen(argv[1]));
		window->loadAtStart(argv[1]);
	}
	else
	{
		INITRAND(strlen(argv[0]));
	}

	app->setMainWidget( window );

	window->show();

	return app->exec();
}

QString getCWD()
{
	// aktuelles Verzeichnis, wird fuer HTML Hilfe benoetigt

	char buffer[MAX_LINELENGTH],*p=buffer;
	getcwd(p, MAX_LINELENGTH);
	return QString(p);
}

int getrand()
{
	// Zufallszahl zwischen 1 und 99

	return (RAND() % 99)+1;
}
